<?php

class Shopware_Plugins_Frontend_rvdwCategoriesLeftUnfold_Bootstrap extends Shopware_Components_Plugin_Bootstrap{


    public function getCapabilities(){
        return array(
            "install" => true,
            "update" => true,
            "enable" => true

        );
    }
    public function getLabel(){
            return "Categories Left Unfold";
        }

    public function getVersion(){
            return "2.0.0";
        }
    public function getInfo(){
            return array(
                "version" => $this->getVersion(),
                "label" => $this->getLabel(),
                "supplier" => "7synth",
                "description" => "This Plugin will unfold the subcategories on the left side. Advanced Menu must be active.",
                "support" => "info@7synth.com",
                "link" => "http://7synth.com",
                "author" => "R.v.d.Waydbrink",
                "copyright" => "2016 R.v.d.Waydbrink",
                "license" => "by request"
            );
        }
    public function install(){
            $this->registerEvents();
            $this->createConfiguration();
            /*return array(
                "success" => true,
                "invalidateCache" => array("frontend")
            );*/
            return true;
        }
    public function uninstall(){
            return array(
                "success" => true,
                "invalidateCache" => array("frontend")
            );
        }
    private function registerEvents(){
            $this->subscribeEvent(
                "Enlight_Controller_Action_PostDispatch_Frontend",
                "onPostDispatchFrontend"
            );

        }
    public function onPostDispatchFrontend(Enlight_Event_EventArgs $arguments)
        {

            /**@var $controller Shopware_Controllers_Frontend_Index*/
            $controller = $arguments->getSubject();

            /**
             * @var $request Zend_Controller_Request_Http
             */
            $request = $controller->Request();

            /**
             * @var $response Zend_Controller_Response_Http
             */
            $response = $controller->Response();

            /**
             * @var $view Enlight_View_Default
             */
            $view = $controller->View();

            //Check if there is a template and if an exception has occured
            if(!$request->isDispatched()||$response->isException()||!$view->hasTemplate() || $request->getModuleName() != "frontend") {
                return;
            }

            //Variablen im Frontend hinzufügen
            $config = Shopware()->Plugins()->Frontend()->rvdwCategoriesLeftUnfold()->Config();
            $view->rvdwCategoriesLeftUnfold  = $config;

            //Add our plugin template directory to load our snowflake extension.
            $view->addTemplateDir($this->Path() . 'Views/');

            $view->extendsTemplate('frontend/plugins/rvdwCategoriesLeftUnfold/sidebar-categories.tpl');

        }
    public function createConfiguration(){
        $form = $this->Form();
        $form->setElement("checkbox","active",
            array("label"=>"Activate",
                "value"=>true,
                "description" => "Available in this Shop/Subshop.",
                "scope" => Shopware\Models\Config\Element::SCOPE_SHOP
            )
        );
        $form->save();
    }
}